@import url('https://fonts.googleapis.com/css2?family=Roboto+Slab:wght@100..900&display=swap');
@import url('https://cdn.jsdelivr.net/npm/@tabler/icons-webfont@latest/tabler-icons.min.css');

body {
    font-family: 'Roboto Slab', serif;
    background-color: #f0e6f6;
    background-image: url(./background.gif);
    background-size: cover;
    padding: 0;
    margin: 0;
    width: 100vw;
    height: 100vh;
}

h1 {
    margin-top: 10px;
}

p {
    font-size: 16px;
    color: rgb(214, 220, 234);
}

img {
    max-width: 100%;
    height: auto;
    border-radius: 20px;
    object-fit: cover;
}

.header {
    display: flex;
    justify-content: space-between;
    padding-left: 20px;
    padding-right: 20px;
    background-color: rgba(72, 30, 72, 0.2);
    backdrop-filter: blur(10px);
    height: 40px;
    align-items: center;
    user-select: none;
}

.header p {
    font-size: 18px;
    border-radius: 10px;
    padding: 0px 5px;
    color: rgb(149, 164, 212);
}

#timeElement { color: rgb(213, 166, 247); }

/* windows */
.window {
    position: absolute;
    z-index: 9;
    display: flex;
    border-radius: 20px;
    overflow: hidden;
    opacity: 1;
    pointer-events: all;
    transition: opacity 0.2s ease;
    backdrop-filter: blur(5px);
}

#aboutMe  {
    top: 200px;  left: 500px;
    border: 5px solid #d2a6db;
}
#weiFiles {
    top: 340px; left: 660px;
    border: 5px solid #a6c4db;
}
#timer {
    top: 480px; left: 820px;
    border: 5px solid #a6dbab;
}
.window.hidden {
    opacity: 0;
    pointer-events: none;
}

.window ::selection {
    background-color: rgba(209, 149, 212, 0.3);
}

.window-header {
    user-select: none;
    color: white;
    cursor: move;
    writing-mode: vertical-rl;
    text-orientation: mixed;
    display: flex;
    justify-content: flex-start;
    align-items: center;
    gap: 10px;
    padding: 12px 8px;
    width: 20px;
}
#aboutMe .window-header {
    background-color: rgba(210, 161, 219, 0.8);
    color: white;
}
#weiFiles .window-header {
    background-color: rgba(103, 175, 229, 0.8);
    color: white;
}
#timer .window-header {
    background-color: rgba(139, 231, 152, 0.8);
    color: white;
}

#aboutMe .window-content {
    padding: 16px;
    min-width: 200px;
    background-color: rgba(234, 216, 238, 0.7);
}
#weiFiles .window-content {
    padding: 16px;
    min-width: 200px;
    background-color: rgba(128, 187, 231, 0.8);
}
#timer .window-content {
    padding: 16px;
    width: 300px;
    background-color: rgba(169, 236, 172, 0.8);
}
#timerMinus, #timerPlus {
    width: 30px;
    height: 30px;
    border-radius: 50%;
    background-color: rgba(106, 231, 106, 0.8);
    color: white;
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
}

.timer-display {
    font-size: 48px;
    font-weight: 700;
    color: #2d6e35;
    text-align: center;
    width: 150px
}

.timer-row {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 12px;
    margin-bottom: 16px;
}

.timer-controls {
    display: flex;
    gap: 20px;
    justify-content: center;
}

.timer-btn {
    opacity: 0.6;
    border: none;
    border-radius: 50%;
    width: 60px;
    height: 60px;
    font-size: 14px;
    cursor: pointer;
    font-weight: 600;
    transition: opacity 0.4s ease;
}
#timerStartBtn {
    background-color: rgba(106, 231, 106, 0.8);
}
#timerPauseBtn {
    background-color: rgba(231, 106, 106, 0.8);
}
#timerResetBtn {
    background-color: rgba(106, 106, 231, 0.8);
}


.timer-btn:hover {
    opacity: 1;
    transition: opacity 0.4s ease;
}


.window-close {
    width: 20px;
    height: 20px;
    border-radius: 50%;
    background-color: rgba(190, 58, 58, 0.5);
    cursor: pointer;
    flex-shrink: 0;
}

/* icons */
.icon-bar {
    position: absolute;
    display: flex;
    flex-direction: column;
    gap: 10px;
    padding: 10px;
    margin: 10px;
    user-select: none;
}

.icon-item {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    padding: 8px 6px;
    width: 70px;
    height: 70px;
    opacity: 0.7;
    border-radius: 12px;
    cursor: pointer;
    text-align: center;
    transition: opacity 0.4s ease;
    font-size: 14px;
}

#welcomeopen {
    background-color: rgb(214, 91, 191);
    color: rgb(236, 203, 238);
}
#filesopen {
    background-color: rgb(91, 191, 214);
    color: rgb(149, 206, 206);
}
#timeropen {
    background-color: rgb(191, 214, 91);
    color: rgb(203, 238, 208);
}

.icon-item:hover {
    opacity: 1;
    transition: opacity 0.4s ease;
}

.icon-item:hover {
    opacity: 0.9;
}

.icon-item i {
    font-size: 30px;
}

.icon-item span {
    color: rgb(236, 203, 238);
    font-size: 11px;
}